image: registry.gitlab.com/oer/emacs-reveal/emacs-reveal:8.18.0 
pages:
   stage: deploy
   before_script:
   - git submodule sync --recursive
   - git submodule update --init --recursive
   script:
   - emacs --batch --load elisp/publish.el
   - cp public/cours2021.html public/index.html
   - find public -type f -regex '.*\.\(html\|js\|css\)$' -exec gzip -f -k {} \;
   artifacts:
     paths:
     - public
     expire_in: 4 weeks
   only:
   - master
